Skip to content
Permalink
Browse files
8265031: Change default macOS min version for x86_64 to 10.12 and aar…
…ch64 to 11.0

Reviewed-by: jvos, arapte, pbansal
  • Loading branch information
kevinrushforth committed Apr 14, 2021
1 parent c8384a1 commit e8689fef33059dbe5e2588fd264eaba677f2bf90
Showing with 3 additions and 1 deletion.
  1. +3 −1 buildSrc/mac.gradle
@@ -55,7 +55,9 @@ def defaultSdkPath = "/Applications/Xcode.app/Contents/Developer/Platforms/MacOS

// Set the minimum API version that we require (developers do not need to override this)
// Note that this is not necessarily the same as the preferred SDK version
defineProperty("MACOSX_MIN_VERSION", "10.10");
def isAarch64 = TARGET_ARCH == "aarch64" || TARGET_ARCH == "arm64";
def macOSMinVersion = isAarch64 ? "11.0" : "10.12";
defineProperty("MACOSX_MIN_VERSION", macOSMinVersion);

// Create $buildDir/mac_tools.properties file and load props from it
setupTools("mac_tools",

1 comment on commit e8689fe

@openjdk-notifier

This comment has been minimized.

Copy link

@openjdk-notifier openjdk-notifier bot commented on e8689fe Apr 14, 2021

Please sign in to comment.